<?php
/* Elementor Builder support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'jacqueline_elm_theme_setup' ) ) {
	add_action( 'jacqueline_action_before_init_theme', 'jacqueline_elm_theme_setup', 1 );

	function jacqueline_elm_theme_setup() {

		if ( is_admin() ) {
			add_filter( 'jacqueline_filter_required_plugins', 'jacqueline_elm_required_plugins' );
		}
	}
}

// Check if Elementor is installed and activated
if ( ! function_exists( 'jacqueline_exists_elementor' ) ) {
	function jacqueline_exists_elementor() {
		return class_exists( 'Elementor\Plugin' );
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'jacqueline_elm_required_plugins' ) ) {
	function jacqueline_elm_required_plugins( $list = array() ) {
		if (in_array('elementor', (array)jacqueline_storage_get('required_plugins')))
			$list[] = array(
				'name'     => esc_html__( 'Elementor', 'jacqueline' ),
				'slug'     => 'elementor',
				'required' => false,
			);
		return $list;
	}
}